Skip to content

Return the runtime entity-list page bootstrap payload for the data explorer page.

GET
/api/workspace/entity/{entityIdOrKey}/ui/entity-list-page
curl --request GET \
--url https://example.com/api/workspace/entity/example/ui/entity-list-page
  • None
entityIdOrKey
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Runtime bootstrap payload for the top-level list page.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
AccessModel
integer format: int32
Allowed values: 0 1 2 3
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime full-text search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Runtime top-level list-page orchestration model resolved from persisted configuration and current access.

object
MainTableSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
HasConfiguredRuntimeFilterItems
boolean
RuntimeFilterItems
Array<object>
nullable

Runtime entity table-surface filter item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
VisibleByDefault
boolean
SortOrder
integer format: int32
FilterOption

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ReferenceInputType
integer format: int32
Allowed values: 0 1 2
ReferenceRendererType
integer format: int32
Allowed values: 0 1
ReferenceLookupRenderType
integer format: int32
Allowed values: 0 1
ReferencePath

Reference path configured for breadcrumb rendering.

Array<string>
nullable
RuntimeUnavailableFilterItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeSortItems
Array<object>
nullable

Runtime entity table-surface sort item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
SortOrder
integer format: int32
SortTarget

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
RuntimeUnavailableSortItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeDefaultSort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
MissingSurface

Machine-readable state for a reusable UI surface that is intentionally missing.

object
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
Reason
integer format: int32
Allowed values: 0 1
Selector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Meta": {
"AccessModel": 0
},
"Model": {
"MainTableSelector": {
"Mode": 0
},
"RuntimeFilterItems": [
{
"FilterOption": {
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
]
},
"ReferenceInputType": 0,
"ReferenceRendererType": 0,
"ReferenceLookupRenderType": 0
}
],
"RuntimeSortItems": [
{
"SortTarget": {
"Path": [
{
"Special": 0
}
]
}
}
],
"RuntimeDefaultSort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"MissingSurface": {
"SurfaceType": 0,
"Reason": 0,
"Selector": {
"Mode": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Runtime bootstrap payload for the top-level list page.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
AccessModel
integer format: int32
Allowed values: 0 1 2 3
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime full-text search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Runtime top-level list-page orchestration model resolved from persisted configuration and current access.

object
MainTableSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
HasConfiguredRuntimeFilterItems
boolean
RuntimeFilterItems
Array<object>
nullable

Runtime entity table-surface filter item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
VisibleByDefault
boolean
SortOrder
integer format: int32
FilterOption

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ReferenceInputType
integer format: int32
Allowed values: 0 1 2
ReferenceRendererType
integer format: int32
Allowed values: 0 1
ReferenceLookupRenderType
integer format: int32
Allowed values: 0 1
ReferencePath

Reference path configured for breadcrumb rendering.

Array<string>
nullable
RuntimeUnavailableFilterItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeSortItems
Array<object>
nullable

Runtime entity table-surface sort item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
SortOrder
integer format: int32
SortTarget

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
RuntimeUnavailableSortItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeDefaultSort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
MissingSurface

Machine-readable state for a reusable UI surface that is intentionally missing.

object
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
Reason
integer format: int32
Allowed values: 0 1
Selector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Meta": {
"AccessModel": 0
},
"Model": {
"MainTableSelector": {
"Mode": 0
},
"RuntimeFilterItems": [
{
"FilterOption": {
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
]
},
"ReferenceInputType": 0,
"ReferenceRendererType": 0,
"ReferenceLookupRenderType": 0
}
],
"RuntimeSortItems": [
{
"SortTarget": {
"Path": [
{
"Special": 0
}
]
}
}
],
"RuntimeDefaultSort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"MissingSurface": {
"SurfaceType": 0,
"Reason": 0,
"Selector": {
"Mode": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Runtime bootstrap payload for the top-level list page.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
AccessModel
integer format: int32
Allowed values: 0 1 2 3
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime full-text search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Runtime top-level list-page orchestration model resolved from persisted configuration and current access.

object
MainTableSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
HasConfiguredRuntimeFilterItems
boolean
RuntimeFilterItems
Array<object>
nullable

Runtime entity table-surface filter item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
VisibleByDefault
boolean
SortOrder
integer format: int32
FilterOption

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ReferenceInputType
integer format: int32
Allowed values: 0 1 2
ReferenceRendererType
integer format: int32
Allowed values: 0 1
ReferenceLookupRenderType
integer format: int32
Allowed values: 0 1
ReferencePath

Reference path configured for breadcrumb rendering.

Array<string>
nullable
RuntimeUnavailableFilterItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeSortItems
Array<object>
nullable

Runtime entity table-surface sort item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
SortOrder
integer format: int32
SortTarget

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
RuntimeUnavailableSortItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeDefaultSort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
MissingSurface

Machine-readable state for a reusable UI surface that is intentionally missing.

object
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
Reason
integer format: int32
Allowed values: 0 1
Selector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Meta": {
"AccessModel": 0
},
"Model": {
"MainTableSelector": {
"Mode": 0
},
"RuntimeFilterItems": [
{
"FilterOption": {
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
]
},
"ReferenceInputType": 0,
"ReferenceRendererType": 0,
"ReferenceLookupRenderType": 0
}
],
"RuntimeSortItems": [
{
"SortTarget": {
"Path": [
{
"Special": 0
}
]
}
}
],
"RuntimeDefaultSort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"MissingSurface": {
"SurfaceType": 0,
"Reason": 0,
"Selector": {
"Mode": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Runtime bootstrap payload for the top-level list page.

object
Meta

Minimal runtime entity metadata used by explicit UI surfaces.

object
EntityDefinitionId

Entity definition identifier.

string
nullable
Name

Internal entity key used by runtime routes.

string
nullable
DisplayNameSingular

User-facing singular name.

string
nullable
DisplayNamePlural

User-facing plural name.

string
nullable
AccessModel
integer format: int32
Allowed values: 0 1 2 3
CommentsEnabled

Whether entity comments are enabled.

boolean
AttachmentsEnabled

Whether entity attachments are enabled.

boolean
TagsEnabled

Whether entity tags are enabled.

boolean
FullTextSearchAvailable

Whether runtime full-text search is available for the definition.

boolean
Statements

Runtime-exposed statements for this entity.

Array<object>
nullable

Runtime statement descriptor exposed to clients together with predicate payloads.

object
Id

Statement identifier.

string
nullable
Name

Stable technical statement key.

string
nullable
DisplayName

User-facing statement label.

string
nullable
RuleEvaluationContext

Rule evaluation context shared with fast UI runtime evaluation.

object
CurrentUserId

Current workspace user identifier.

string
nullable
CurrentLocalDate

Workspace-local current date in ISO format.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
GeneratedAtUtc

UTC instant when the context was generated.

string format: date-time
nullable
NextLocalMidnightUtc

UTC instant for the next midnight in the workspace time zone.

string format: date-time
nullable
ContextValues

Owner-scoped runtime values available to rule plans.

object
key
additional properties
object
IsProjection

Whether the entity is an enabled Projection Entity.

boolean
Model

Runtime top-level list-page orchestration model resolved from persisted configuration and current access.

object
MainTableSelector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
HasConfiguredRuntimeFilterItems
boolean
RuntimeFilterItems
Array<object>
nullable

Runtime entity table-surface filter item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
VisibleByDefault
boolean
SortOrder
integer format: int32
FilterOption

One runtime query target with backend-approved filter and sort capabilities.

object
Id

Stable option identifier.

string
nullable
Label

Localized user-facing label.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2 3 4
Reference

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
FieldType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
AllowMultiple

Whether multiple values are allowed for the bound field.

boolean
DecimalPrecision

Decimal precision when applicable.

integer format: int32
nullable
DecimalScale

Decimal scale when applicable.

integer format: int32
nullable
StringMaxLength

String max length when applicable.

integer format: int32
nullable
ReferenceToEntityDefinitionId

Target entity definition identifier for reference-style fields.

string
nullable
PairedReferenceFieldId

Paired reference field identifier for inverse-reference fields.

string
nullable
ReferenceDeleteBehavior
integer format: int32
Allowed values: 0 1
Options

Select options when applicable.

Array<object>
nullable

Option metadata for select fields.

object
Id

Option identifier.

string
nullable
EntityFieldDefinitionId

Owning field identifier.

string
nullable
Key

Option key.

string
nullable
Value

Option display value.

string
nullable
SortOrder

Sort order.

integer format: int32
CanFilter

Whether the backend accepts filter predicates for this option.

boolean
FilterOperators

Operators accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
FilterVariables

Runtime variables accepted by the backend for this option.

Array<integer>
nullable
Allowed values: 0 1
CanSort

Whether the backend accepts sort items for this option.

boolean
RowsFilterOptions
Array<object> recursive
BaseCurrencyCode

Base currency code for Money fields.

string
nullable
ReferenceInputType
integer format: int32
Allowed values: 0 1 2
ReferenceRendererType
integer format: int32
Allowed values: 0 1
ReferenceLookupRenderType
integer format: int32
Allowed values: 0 1
ReferencePath

Reference path configured for breadcrumb rendering.

Array<string>
nullable
RuntimeUnavailableFilterItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeSortItems
Array<object>
nullable

Runtime entity table-surface sort item resolved from configuration.

object
Key
string
nullable
Label
string
nullable
SortOrder
integer format: int32
SortTarget

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
RuntimeUnavailableSortItems
Array<object>
nullable

Safe reason metadata for a configured table target that cannot be used by the current caller/runtime schema.

object
Key

Stable configured target key.

string
nullable
ReasonCode

Safe reason code. Does not include hidden field names.

string
nullable
RuntimeDefaultSort
Array<object>
nullable

One sort item in the runtime list query.

object
Field

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Target

Typed target path for a runtime list query sort item.

object
Path

Reference path from the queried entity to the sortable terminal field or system field.

Array<object>
nullable

Reference to a runtime field by identifier, normalized key, or special query field.

object
FieldId

Field identifier or backend-issued synthetic system-field identifier.

string
nullable
FieldKey

Field key resolved through the runtime normalized-key index.

string
nullable
Special
integer format: int32
Allowed values: 0
StatementId

Statement identifier resolved through the runtime statement index.

string
nullable
StatementKey

Statement key resolved through the runtime normalized-key index.

string
nullable
ObjectContextFactId

Configured object-context fact identifier.

string
nullable
ObjectContextFactFilterKey

Provider-owned object-context fact filter facet key.

string
nullable
Direction
integer format: int32
Allowed values: 0 1
MissingSurface

Machine-readable state for a reusable UI surface that is intentionally missing.

object
SurfaceType
integer format: int32
Allowed values: 0 1 2 3 4 5
Reason
integer format: int32
Allowed values: 0 1
Selector

Selector for resolving an entity UI surface by default pointer or custom key.

object
Mode
integer format: int32
Allowed values: 0 1
SurfaceKey
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Meta": {
"AccessModel": 0
},
"Model": {
"MainTableSelector": {
"Mode": 0
},
"RuntimeFilterItems": [
{
"FilterOption": {
"Kind": 0,
"Reference": {
"Special": 0
},
"FieldType": 0,
"ReferenceDeleteBehavior": 0,
"FilterOperators": [
0
],
"FilterVariables": [
0
]
},
"ReferenceInputType": 0,
"ReferenceRendererType": 0,
"ReferenceLookupRenderType": 0
}
],
"RuntimeSortItems": [
{
"SortTarget": {
"Path": [
{
"Special": 0
}
]
}
}
],
"RuntimeDefaultSort": [
{
"Field": {
"Special": 0
},
"Target": {
"Path": [
{
"Special": 0
}
]
},
"Direction": 0
}
]
},
"MissingSurface": {
"SurfaceType": 0,
"Reason": 0,
"Selector": {
"Mode": 0
}
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}